symplx(1)

NAME
symplx - Symmetry plane computation

SYNOPSIS
symplx InputImage

DESCRIPTION
Compute the approximate symmetry plane of an image to determine, for example, the mid-sagittal plane in human brain images. Various forms of output are supported, e.g., writing the input image with the symmetry plane drawn into it, or the input image realigned along the symmetry plane.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--xml
    Write command line syntax specification in XML markup (for Slicer integration).

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Optimization

--accuracy <double>, -a <double>
    Accuracy (final optimization step size in [mm]. [Default: 0.1]

--sampling <double>, -s <double>
    Resampled image resolution. This is the resolution [in mm] of the first (finest) resampled image in the multi-scale pyramid, which is derived directly from the original full-resolution images. [Default: 1]

--levels <integer>, -l <integer>
    Number of resolution levels. The algorithm will create (levels-1) resampled images with increasingly coarse resolution and use these in successive order of increasing resolution before using the original images at the final level. [Default: 4]

--fix-offset
    Fix symmetry plane offset. Reduces computation time and forces symmetry plane to cross center of mass, but may lead to less-than-accurate result.

  Initial approximate symmetry plane orientation

--initial-plane
    Initial orientation of symmetry plane. This should be the closest orthogonal plane to the expected actual symmetry plane. Supported values: "initial-axial", "initial-coronal", "initial-sagittal", "initial-xy", "initial-xz", "initial-yz", where the default is "initial-sagittal", or use one of the following:

    --initial-axial
        Approximately axial symmetry

    --initial-coronal
        Approximately coronal symmetry

    --initial-sagittal
        Approximately sagittal symmetry [This is the default]

    --initial-xy
        Approximately XY plane symmetry

    --initial-xz
        Approximately XZ plane symmetry

    --initial-yz
        Approximately YZ plane symmetry [This is the default]

  Pre-computed symmetry

--output-only <string>
    Give symmetry parameters [Rho Theta Phi] as option, skip search. [Default: disabled]

--output-only-file <string>
    Read symmetry parameters from file, skip search. [Default: disabled]

  Data pre-processing

--min-value <float>
    Force minumum data value. [Default: disabled]

--max-value <float>
    Force maximum data value. [Default: disabled]

  Output of Images

--interpolation
    Interpolation method used for reformatted output data Supported values: "linear", "cubic", "sinc", where the default is "linear", or use one of the following:

    --linear, -L
        Use linear image interpolation for output. [This is the default]

    --cubic, -C
        Use cubic image interpolation for output.

    --sinc, -S
        Use cosine-windowed sinc image interpolation for output.

--pad-out <double>, -P <double>
    Padding value for output images. [Default: disabled]

--mark-value <double>
    Data value to mark (draw) symmetry plane. [Default: 4095]

--write-marked <image-path>
    File name for output image with marked symmetry plane. [Default: NONE]

--write-aligned <image-path>
    File name for symmetry plane-aligned output image. [Default: NONE]

--mark-aligned
    Mark symmetry plane in aligned output image.

--write-subtract <image-path>
    File name for mirror subtraction image. [Default: NONE]

--write-mirror <image-path>
    File name for image mirrored w.r.t. symmetry plane. [Default: NONE]

  Output of Parameters

--outfile <path>, -o <path>
    File name for symmetry plane parameter output. [Default: NONE]

--write-xform <transformation-path>
    Write affine alignment transformation to file [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.